Subject: Re: MS Platform SDK now available
From: [email-masked] (Paul Garceau)

29 Nov 1997 04:36:52 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

Hi Axel,

	Thanks again for sending the instructions.  I did receive them.  In the 
meantime, I agree that is probably a good idea to take our email off of 
the list that is already so heavily trafikked.

On 27 Nov 97 at 9:31, the Illustrious Axel Riese wrote:

> Hi Paul,
> 
> > 	Thanks for getting back to me on this.  It is much appreciated.  For 
> > those on the list interested in using the MS Platform SDK, this appears to 
> > be very sound advice.
> 
> I hope my latest instructions on how to use the MS headers made at least
> this item clear.
> 
> > 	(As a quick aside...it appears that your email to the list is being 
> > duplicated, Axel).
> 
> Oops, I sent it to the list and to you, sorry for this.
> 
> > 	Well, my expectation is that I can use source code developed under 
> > VC/C++ and compile it with the GC/C++ tool set with little or no changes 
> > to the actual source code itself.
> 
> I'm not sure whether this goal can be achieved easily (actually I don't
> think so for C++). My motivation was simply to write my own Win32
> applications with a *free* C-Compiler. Thereby I found out that I need
> some additional header files. That's why I downloaded the Platform SDK
> (forgetting about other components).
> 
> > 	The November 1997 Platform SDK from MS is generated based on the MS 
> > assumption that the developer in question has purchased either Borland 
> > C/C++ or MS Visual C/C++ and is using either of those as their development 
> > packages.
> 
> I agree. However, no problem if you only use the headers. Moreover, most
> of the samples/sources provided by MS (and others) are built on MFC ->
> one more difficulty for cygwin(n)ers.

	You are right.  Even so, those headers are available.  The magic, of 
course, is in having some sort of tool that can convert headers.  It 
appears that the patch associated with rsxnt meets this requirement to a 
large degree.

> 
> > > I never felt the need to use the SDK libraries, because the ones from
> > > mingw32 are pretty complete. My only motivation was to have also complete
> > > headers (e.g. for all the shell functions, DDE, etc.) and in fact the
> > > resource compiler rc.exe.
> > 
> > 	Does that include the DX stuff?
> 
> Never came across this question/problem (but I think they are not
> included).

	After some research, I have discovered that this is the case.  They are 
not included.  However, I believe that some of those may be available.

	I am hoping that the patch included with rsxnt will be able to convert 
the DX headers as well.

> 
> For the correct installation instructions for the headers you should have
> a look at the message "How to use the MS headers (second attempt)" which
> I sent to the list yesterday.

	Thanks...I did receive those.  Have them in a readily accessible place on 
my drive.

	Peace,

		Paul G.

Chronicles of Aurum: Book I
      A Journey Into the Fantastic
http://www.submergedsoftware.com/
ICQ#977283
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".